epp_Greeting (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_Greeting class

### org.openrtk.idl.epp0604

# Class epp_Greeting

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_Greeting`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Greeting`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements to state the EPP server's abilities. The greeting returned by the server is in response to a successful connection or the hello request initiated by the client. It lists the languages and protocol versions supported by the server, the services and data collection policy offered by the server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_Greeting.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `EPPGreeting.getResponseData()`, `EPPClient.getGreeting()`, `EPPClient.hello()`

  ## Field Summary
  `epp_DataCollectionPolicy` | `m_dcp` The data collection policy of the server.
  `String` | `m_server_date` The server's current date and time in UTC.
  `String` | `m_server_id` The name of the server.
  `epp_ServiceMenu` | `m_svc_menu` The services offered by the server.

  ## Constructor Summary
  `epp_Greeting()` Empty constructor
  `epp_Greeting(String _m_server_id, String _m_server_date, epp_ServiceMenu _m_svc_menu, epp_DataCollectionPolicy _m_dcp)` The constructor with initializing variables.

  ## Method Summary
  `epp_DataCollectionPolicy` | `getDcp()` Accessor method for the data collection policy of the server
  `String` | `getServerDate()` Accessor method for the server's current date and time in UTC
  `String` | `getServerId()` Accessor method for the name of the server
  `epp_ServiceMenu` | `getSvcMenu()` Accessor method for the services offered by the server
  `void` | `setDcp(epp_DataCollectionPolicy value)` Accessor method for the data collection policy of the server
  `void` | `setServerDate(String value)` Accessor method for the server's current date and time in UTC
  `void` | `setServerId(String value)` Accessor method for the name of the server
  `void` | `setSvcMenu(epp_ServiceMenu value)` Accessor method for the services offered by the server
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_dcp

    public epp_DataCollectionPolicy m_dcp

> The data collection policy of the server.
> See Also:
>   `setDcp(epp_DataCollectionPolicy)`, `getDcp()`

### m_server_date

    public String m_server_date

> The server's current date and time in UTC.
> See Also:
>   `setServerDate(String)`, `getServerDate()`

### m_server_id

    public String m_server_id

> The name of the server.
> See Also:
>   `setServerId(String)`, `getServerId()`

### m_svc_menu

    public epp_ServiceMenu m_svc_menu

> The services offered by the server.
> See Also:
>   `setSvcMenu(epp_ServiceMenu)`, `getSvcMenu()`

## Constructor Details

### epp_Greeting

    public epp_Greeting()

> Empty constructor

### epp_Greeting

    public epp_Greeting(String _m_server_id,
                        String _m_server_date,
                        epp_ServiceMenu _m_svc_menu,
                        epp_DataCollectionPolicy _m_dcp)

> The constructor with initializing variables.
> Parameters:
>   `_m_server_id` - The name of the server
>   `_m_server_date` - The server's current date and time in UTC
>   `_m_svc_menu` - The services offered by the server
>   `_m_dcp` - The data collection policy of the server

## Method Details

### getDcp

    public epp_DataCollectionPolicy getDcp()

> Accessor method for the data collection policy of the server
> Returns:
>   The data collection policy of the server
> See Also:
>   `m_dcp`

### getServerDate

    public String getServerDate()

> Accessor method for the server's current date and time in UTC
> Returns:
>   The server's current date and time
> See Also:
>   `m_server_date`

### getServerId

    public String getServerId()

> Accessor method for the name of the server
> Returns:
>   The name of the server
> See Also:
>   `m_server_id`

### getSvcMenu

    public epp_ServiceMenu getSvcMenu()

> Accessor method for the services offered by the server
> Returns:
>   The service element
> See Also:
>   `m_svc_menu`

### setDcp

    public void setDcp(epp_DataCollectionPolicy value)

> Accessor method for the data collection policy of the server
> Parameters:
>   `value` - The data collection policy of the server
> See Also:
>   `m_dcp`

### setServerDate

    public void setServerDate(String value)

> Accessor method for the server's current date and time in UTC
> Parameters:
>   `value` - The server's current date and time
> See Also:
>   `m_server_date`

### setServerId

    public void setServerId(String value)

> Accessor method for the name of the server
> Parameters:
>   `value` - The name of the server
> See Also:
>   `m_server_id`

### setSvcMenu

    public void setSvcMenu(epp_ServiceMenu value)

> Accessor method for the services offered by the server
> Parameters:
>   `value` - The service element
> See Also:
>   `m_svc_menu`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS